<?php
include_once (realpath(dirname(__file__)) . "/../../../classes/PluginsClassiques.class.php");
include_once (realpath(dirname(__file__)) . "/../../../classes/Message.class.php");

class Mailconfinscri extends PluginsClassiques {

	const NOM_MESSAGE = "mailconfinscri";

    public function __construct() {
        parent::__construct("mailconfinscri");
    }

    public function init() {

        $message = new Message();

        if (! $message->charger(self::NOM_MESSAGE)) {

            $message->nom = self::NOM_MESSAGE;
            $id = $message->add();

            $messagedesc = new Messagedesc();
            $messagedesc->message = $id;
            $messagedesc->lang = 1;
            $messagedesc->intitule = "Message de confirmation d'inscription";
            $messagedesc->titre = "Création de votre compte client sur __NOMSITE__";

            $messagedesc->description = "Bonjour __RAISON__ __NOM__ __PRENOM__,<br />
<br />
Merci pour votre inscription sur <a href=\"__URLSITE__\">__NOMSITE__</a> qui a bien été enregistrée. Si vous n'êtes pas à l'origine de cette inscription, merci de nous répondre directement à ce mail (__MAILCONTACT__) pour nous en informer.<br>
<br />
Pour vous connecter à votre compte __NOMSITE__, utilisez votre adresse e-mail __MAILCLIENT__, et le mot de passe qui n'est connu que de vous.
En cas d'oubli ce mot de passe, vous pouvez en obtenir un nouveau depuis la page de connexion à votre compte.<br />
<br />
A bientôt sur <a href=\"__URLSITE__\">__NOMSITE__</a>.<br />
<br />
Cordialement,<br />
L'équipe __NOMSITE__";

            $messagedesc->descriptiontext = "Bonjour __RAISON__ __NOM__ __PRENOM__,

Merci pour votre inscription sur __NOMSITE__ qui a bien été enregistrée. Si vous n'êtes pas à l'origine de cette inscription, merci de nous répondre directement à ce mail (__MAILCONTACT__) pour nous en informer.

Pour vous connecter à votre compte __NOMSITE__, utilisez votre adresse e-mail __MAILCLIENT__, et le mot de passe qui n'est connu que de vous.
En cas d'oubli ce mot de passe, vous pouvez en obtenir un nouveau depuis la page de connexion à votre compte.

A bientôt sur __NOMSITE__ (__URLSITE__).

Cordialement,
L'équipe __NOMSITE__";

            $messagedesc->add();
        }
    }

	public function destroy() {
		$message = new Message();
		if ($message->charger(self::NOM_MESSAGE))
			if (method_exists($message, 'supprimer'))
				$message->supprimer();
			else
				$message->delete();

	}

    public function apresclient($client) {

        $msg = new Message(self::NOM_MESSAGE);
        $msgdesc = new Messagedesc($msg->id);

        $sujet = $this->substitutions($msgdesc->titre, $client);
        $messagehtml = $this->substitutions($msgdesc->description, $client);
        $messagetext = $this->substitutions($msgdesc->descriptiontext, $client);

		Mail::envoyer(
			$client->prenom . " " . $client->nom, $client->email,
			Variable::lire("nomsite"), Variable::lire("emailfrom"),
			$sujet,
			$messagehtml, $messagetext);
	}

	private function substitutions($texte, $client) {

        $emailcontact = Variable::lire("emailcontact");
        $nomsite = Variable::lire("nomsite");
        $urlsite = Variable::lire("urlsite");

		$raisondesc = new Raisondesc();
		$raisondesc->charger($client->raison);

	    $texte = str_replace("__RAISON__", $raisondesc->long, $texte);
        $texte = str_replace("__NOM__", $client->nom, $texte);
        $texte = str_replace("__PRENOM__", $client->prenom, $texte);
        $texte = str_replace("__URLSITE__", $urlsite, $texte);
        $texte = str_replace("__NOMSITE__", $nomsite, $texte);
        $texte = str_replace("__MAILCLIENT__", $client->email, $texte);
        $texte = str_replace("__LIENSITE__", "<a href=\"" . urlfond() . "\">" . $nomsite . "</a>", $texte);
        $texte = str_replace("__MAILCONTACT__", "<a href=\"mailto:" . $emailcontact . "\">" . $emailcontact . "</a>", $texte);

        return $texte;
	}
}

?>
